{
  "schema_version": "1.4.0",
  "id": "GHSA-xcx5-wqrj-xxh3",
  "modified": "2022-05-01T23:47:06Z",
  "published": "2022-05-01T23:47:06Z",
  "aliases": [
    "CVE-2008-2152"
  ],
  "details": "Integer overflow in the rtl_allocateMemory function in sal/rtl/source/alloc_global.c in OpenOffice.org (OOo) 2.0 through 2.4 allows remote attackers to execute arbitrary code via a crafted file that triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-2152"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/42957"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9787"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00385.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00473.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-June/msg00499.html"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=714"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30599"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30633"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30634"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30635"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31029"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200807-05.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-237944-1"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:137"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:138"
    },
    {
      "type": "WEB",
      "url": "http://www.openoffice.org/security/cves/CVE-2008-2152.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0537.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0538.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29622"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1020219"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/1773"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/1804/references"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-06-10T18:32:00Z"
  }
}